
#include "unix.h"

typedef struct _Point {
    float x, y, z;
} Point;


Octahedron()
{
    FILE *fp;
    extern char *filename;
    extern char creatingObject;
    creatingObject = 0;

    filename = (char *) malloc( strlen((const char *)getenv("OBJ_PATH")) + 20 );
    strcat( strcat( strcpy( filename, (const char *)getenv("OBJ_PATH") ), "/" ), "octahedron.geom" );
    fp = fopen( filename, "w" );

    fprintf( fp, "6\t8\t24\n" );

    /* Print the Coordinates of the points */
    fprintf( fp, " 1.0  0.0  0.0\n" );
    fprintf( fp, "-1.0  0.0  0.0\n" );
    fprintf( fp, " 0.0  1.0  0.0\n" );
    fprintf( fp, " 0.0 -1.0  0.0\n" );
    fprintf( fp, " 0.0  0.0  1.0\n" );
    fprintf( fp, " 0.0  0.0 -1.0\n" );

    /* Print the Conectivity data of the points */
    fprintf( fp, "3 1 3 5\n" );
    fprintf( fp, "3 1 6 3\n" );
    fprintf( fp, "3 1 5 4\n" );
    fprintf( fp, "3 1 4 6\n" );
    fprintf( fp, "3 2 5 3\n" );
    fprintf( fp, "3 2 3 6\n" );
    fprintf( fp, "3 2 4 5\n" );
    fprintf( fp, "3 2 6 4\n" );

    fclose( fp );
}
